#! /bin/sh
. /sw/bin/init.sh
cd $HOME/projects/kanbun/mecab-kanbun
git pull . > $HOME/git-pull.log 2>&1
D=incoming/$USER/hakubun
mkdir -p $D
for F
do B=`basename $F`
   if [ ! -s $D/$B ]
   then cp $F $D/$B
   fi
   /usr/local/bin/xemacs $D/$B
   git add . > $HOME/git-add.log 2>&1
   git commit -am $D/$B > $HOME/git-commit.log 2>&1
done
git push origin master > $HOME/git-push.log 2>&1
exit 0
